<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: OpenSim::FileDeletionThrower Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1FileDeletionThrower.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="classOpenSim_1_1FileDeletionThrower-members.html">List of all members</a> &#124;
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">OpenSim::FileDeletionThrower Class Reference<div class="ingroups"><a class="el" href="group__mocoutil.html">Moco Utilities</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class helps a user cause an exception within the code.  
 <a href="classOpenSim_1_1FileDeletionThrower.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:afb38411f26bcc4289af7716f03ef97a1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileDeletionThrower.html#afb38411f26bcc4289af7716f03ef97a1">FileDeletionThrower</a> ()</td></tr>
<tr class="separator:afb38411f26bcc4289af7716f03ef97a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c58e8de9761364363e10cb5ac1546c6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileDeletionThrower.html#a5c58e8de9761364363e10cb5ac1546c6">FileDeletionThrower</a> (std::string filepath)</td></tr>
<tr class="separator:a5c58e8de9761364363e10cb5ac1546c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40a6b18facd37fa22e632eac4d4a7fb4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileDeletionThrower.html#a40a6b18facd37fa22e632eac4d4a7fb4">~FileDeletionThrower</a> ()</td></tr>
<tr class="separator:a40a6b18facd37fa22e632eac4d4a7fb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b50499e531b31c34a959d0c394f4767"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOpenSim_1_1FileDeletionThrower.html#a5b50499e531b31c34a959d0c394f4767">throwIfDeleted</a> () const</td></tr>
<tr class="separator:a5b50499e531b31c34a959d0c394f4767"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description </h2>
<div class="textblock"><p>This class helps a user cause an exception within the code. </p>
<p>The constructor writes a file, and the destructor deletes the file. The programmer can call <a class="el" href="classOpenSim_1_1FileDeletionThrower.html#a5b50499e531b31c34a959d0c394f4767">throwIfDeleted()</a> to throw the <a class="el" href="classOpenSim_1_1FileDeletionThrowerException.html" title="Thrown by FileDeletionThrower::throwIfDeleted().">FileDeletionThrowerException</a> exception if the file is deleted (by a user) before the object is destructed. If the file could not be written by the constructor, then <a class="el" href="classOpenSim_1_1FileDeletionThrower.html#a5b50499e531b31c34a959d0c394f4767">throwIfDeleted()</a> does not throw an exception. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="afb38411f26bcc4289af7716f03ef97a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb38411f26bcc4289af7716f03ef97a1">&#9670;&nbsp;</a></span>FileDeletionThrower() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::FileDeletionThrower::FileDeletionThrower </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5c58e8de9761364363e10cb5ac1546c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c58e8de9761364363e10cb5ac1546c6">&#9670;&nbsp;</a></span>FileDeletionThrower() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::FileDeletionThrower::FileDeletionThrower </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>filepath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a40a6b18facd37fa22e632eac4d4a7fb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40a6b18facd37fa22e632eac4d4a7fb4">&#9670;&nbsp;</a></span>~FileDeletionThrower()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">OpenSim::FileDeletionThrower::~FileDeletionThrower </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a5b50499e531b31c34a959d0c394f4767"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5b50499e531b31c34a959d0c394f4767">&#9670;&nbsp;</a></span>throwIfDeleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OpenSim::FileDeletionThrower::throwIfDeleted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>OpenSim/Moco/MocoUtilities.h</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceOpenSim.html">OpenSim</a></li><li class="navelem"><a class="el" href="classOpenSim_1_1FileDeletionThrower.html">FileDeletionThrower</a></li>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:44 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
